#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
import os

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk

PYTHON_VERSION = "%d.%d.%d" % (sys.version_info.major, sys.version_info.minor, sys.version_info.micro)
GTK_VERSION = "%d.%d.%d" % (Gtk.MAJOR_VERSION, Gtk.MINOR_VERSION, Gtk.MICRO_VERSION)

APP_ID = "io.julianrichen.gtk3-python3-application-boilerplate"
APP_NAME = "Gtk 3 Python 3 Application Boilerplate"
APP_COMMAND = "gtk3-python3-application-boilerplate"
APP_URL = "https://github.com/julianrichen/gtk3-python3-application-boilerplate"

APP_VERSION_MAJOR = 0
APP_VERSION_MINOR = 1
APP_VERSION_MICRO = 0
APP_VERSION = "%d.%d.%d" % (APP_VERSION_MAJOR, APP_VERSION_MINOR, APP_VERSION_MICRO)

APP_DESCRIPTION = "A Gtk 3 application boilerplate built in Python 3."
APP_COMMENTS = "Copyright © 2016 Julian Richen"
APP_LICENSE = Gtk.License.GPL_3_0
APP_AUTHORS = ["Julian Richen <julian@richen.io>"]
APP_TRANSLATORS = ["Julian Richen <julian@richen.io>"]
APP_DOCUMENTERS = ["Julian Richen <julian@richen.io>"]
APP_ICON_NAME = APP_ID
APP_LOGO_NAME = APP_ID

APP_MANUAL_URL_OFFLINE = "help:boilerplate"
APP_MANUAL_URL_ONLINE = "https://github.com/julianrichen/gtk3-python3-application-boilerplate/wiki"

APP_RESOURCES = os.path.realpath(os.path.join(os.path.dirname(__file__), "resources"))

def get_root_dir():
    return '/'.join(os.path.dirname(os.path.abspath(__file__)).split('/')[:-1])

def get_data_dir():
    return os.path.join(get_root_dir(), "data")

def get_ui_dir():
    return os.path.join(get_data_dir(), "ui")
