#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gettext import gettext as _

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk
from gi.repository import Gdk
from gi.repository import GdkPixbuf

from ..configuration import *

class ApplicationWindow(Gtk.ApplicationWindow):

    def __init__(self, app = None, *args, **kwargs):
        super().__init__(title=APP_NAME,
                         application=app,
                         *args, **kwargs)

        """
        Build Settings
        """
        self.app = app
        self.set_position(Gtk.WindowPosition.CENTER)
        self.set_name("main_window")

        # Set window size and position
        #self.set_default_size(1280, 720)
        self.set_default_size(320, 480)

        # Make it relative, make it a back-up, move the icons
        #self.set_default_icon(GdkPixbuf.Pixbuf.new_from_file("data/icons/hicolor/scalable/apps/org.gas.importer.svg"))

        self.set_icon_name(APP_ICON_NAME)

        """
        Build Window
        """
        if self.app.csd is True:
            headerbar = Gtk.HeaderBar()
            headerbar.set_title(APP_NAME)
            headerbar.set_show_close_button(True)
            self.set_titlebar(headerbar)
        else:
            self.set_title(APP_NAME)

        
