#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk

class ShortcutsWindow(Gtk.ShortcutsWindow):

    def __init__(self, app = None, *args, **kwargs):
        super().__init__(*args, **kwargs)

        if app is not None:
            self.app = app

        """
        Build Settings
        """
        self.set_modal(True)
        self.set_position(Gtk.WindowPosition.CENTER_ON_PARENT)

        """
        Build Window
        """
        #if self.app.csd is True:
        #    self.headerbar = Gtk.HeaderBar()
        #    self.headerbar.set_title("Shortcuts")
        #    self.headerbar.set_show_close_button(True)
        #    self.set_titlebar(self.headerbar)
        #else:
        #    self.set_title("Shortcuts")

    def show(self):
        self.show_all()

    def build(self):
        """Gathers the accelerators and populates the window."""
        section = Gtk.ShortcutsSection()
        section.show()
        for group_id in self.app.shortcuts.groups:
            group = Gtk.ShortcutsGroup(title=self.app.shortcuts.group_titles[group_id])
            group.show()
            for action, title in self.app.shortcuts.group_actions[group_id]:
                accelerators = " ".join(self.app.get_accels_for_action(action))
                short = Gtk.ShortcutsShortcut(title=title, accelerator=accelerators)
                short.show()
                group.add(short)
            section.add(group)
        # Method below must be called after the section has been populated,
        # otherwise the shortcuts won't show up in search.
        self.add(section)